#!/bin/bash
if [ ! -z $SUDO_USER ]; then 
  echo "Utilisation: ./install.sh"
  exit 1
fi

PACKAGE=pulse_linux.deb
INSTALLDIR=/usr/local/pulse
PULSECLIENT=$INSTALLDIR/PulseClient.sh
PULSEDIR=$HOME/.pulse_secure/pulse
PULSEPROFILE=$PULSEDIR/.pulse_Connections.txt

if [ -f $PACKAGE ]; then
  sudo dpkg -i $PACKAGE
else
  echo "Fichier $PACKAGE introuvable."
  exit 1
fi

if [ ! -e $INSTALLDIR ]; then 
  echo "Pulse n'est pas installé. Veuillez vérifier si Pulse est bien installé."
  exit 1
fi 

if [ ! -d $PULSEDIR ]; then 
  mkdir -p $PULSEDIR
  if [ $? -ne 0 ]; then 
    echo "Impossible de créer $PULSEDIR. Veuillez vérifier les permissions."
    exit 2
  fi 
fi
	
if [ ! -f $PULSEPROFILE ]; then
  echo '{"connName":"CHU","baseUrl":"https://vpn.chu.ulg.ac.be"}' > $PULSEDIR/.pulse_Connections.txt
fi

$PULSECLIENT install_dependency_packages

